# Class MathRoundBrackets

#### Hierarchy

- XmlComponent
  - MathRoundBrackets

- Defined in src/file/paragraph/math/brackets/math-round-brackets.ts:8

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new MathRoundBrackets(options: { children: MathComponent[] }): MathRoundBrackets

- #### Parameters

  - ##### options: { children: MathComponent[] }

    - ##### `Readonly` children: MathComponent[]

  #### Returns MathRoundBrackets

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/math/brackets/math-round-brackets.ts:9

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc